.btn-small {
    outline: none;
    cursor: pointer;
    color: #666666;
    height: rem(34);
    font-weight: 600;
    font-size: rem(12);
    line-height: rem(16);
    padding: rem(4) rem(14);
    text-transform: uppercase;
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    column-gap: rem(8);
    border-radius: rem(5);
    align-items: center;
    background: white;
    justify-content: center;
    vertical-align: middle;
    border: 1px solid #E5E5E5;
    transition: var(--transition-time);

    &:hover {
        color: #666666;
        text-decoration: none;
        background-color: #F7F7F7;
        transition: var(--transition-time);
    }

    &:active {
        color: #666666;
        background-color: white;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }
}

.btn-link {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    white-space: nowrap;
    font-size: rem(16);
    line-height: rem(24);
    color: var(--black);
    display: inline-block;
    background: transparent;
    text-decoration: none;

    &:hover {
        color: var(--black);
        text-decoration: underline;
    }
}

.btn {
    outline: none;
    cursor: pointer;
    color: black;
    height: rem(48);
    font-weight: 600;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(4) rem(36);
    text-transform: uppercase;
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    column-gap: rem(8);
    border-radius: rem(5);
    align-items: center;
    background: white;
    justify-content: center;
    vertical-align: middle;
    border: 1px solid #E5E5E5;
    transition: var(--transition-time);
}

.btn-md {
    height: rem(60);
    font-size: rem(20);
    line-height: rem(24);
}

.btn-red {
    color: white;
    background-color: rgba(207, 0, 0, 0.75);
    border: 2px solid #BBBBBB;
    transition: var(--transition-time);

    &:hover {
        color: white;
        background-color: rgba(207, 0, 0, 1);
        transition: var(--transition-time);
    }

    &:active {
        color: white;
        background-color: rgba(207, 0, 0, 0.75);
    }
}
